[(1)

NAME
[ - Check file types and compare values.

SYNOPSIS
[ [-h|--help] [-V|--version]

DESCRIPTION
Check file types and compare values.

OPTIONS

-h, --help
    Print help

-V, --version
    Print version

EXTRA
## Examples Test if a given variable is equal to the specified string: [ "${{variable}}" = "{{string}}" ] Test if a given variable is not equal to the specified string: [ "${{variable}}" != "{{string}}" ] Test if a given variable is [eq]ual/[n]ot [e]qual/[g]reater [t]han/[l]ess [t]han/[g]reater than or [e]qual/[l]ess than or [e]qual to the specified number: [ "${{variable}}" -{{eq|ne|gt|lt|ge|le}} {{integer}} ] Test if the specified variable has a [n]on-empty value: [ -n "${{variable}}" ] Test if the specified variable has an empty value ([z]ero length): [ -z "${{variable}}" ] Test if the specified [f]ile exists: [ -f {{path/to/file}} ] Test if the specified [d]irectory exists: [ -d {{path/to/directory}} ] Test if the specified file or directory [e]xists: [ -e {{path/to/file_or_directory}} ] > The examples are provided by the [tldr-pages project](https://tldr.sh) under the [CC BY 4.0 License](https://github.com/tldr-pages/tldr/blob/main/LICENSE.md). > > Please note that, as uutils is a work in progress, some examples might fail.

VERSION
v(uutils coreutils) 0.9.0